PYTHON(1)

BEZEICHNUNG
python - eine interpretierte, interaktive, objekt-orientierte Programmiersprache

ÜBERSICHT
python [ -B ] [ -b ] [ -d ] [ -E ] [ -h ] [ -i ] [ -I ]
       [ -m Modulename ] [ -q ] [ -R ] [ -O ] [ -OO ] [ -P ] [ -s ] [ -S ] [ -u ]
       [ -v ] [ -V ] [ -W Argument ] [ -x ] [ -X Option ] [ -? ]
       [ --check-hash-based-pycs default | always | never ]
       [ --help ] [ --help-env ] [ --help-xoptions ] [ --help-all ]
       [ -c Befehl | Skript | - ] [ Argumente ]

BESCHREIBUNG
Python ist eine interpretierte, interaktive und objekt-orientierte Programmiersprache, die eine bemerkenswerte Leistungsfähigkeit mit sehr klarer Syntax verbindet. Für eine Einführung zur Programmierung in Python lesen Sie das Python-Tutorial. Die Referenz der Python-Bibliothek (Python Library Reference) dokumentiert integrierte Typen und Standard-Typen, Konstanten, Funktionen und Module. Abschliessend beschreibt das Python-Referenzhandbuch (Python Reference Manual) Syntax und Semantik vom Kern der Sprache (vielleicht zu) detailliert. (Diese Dokumente können über INTERNETRESOURCEN am Ende dieser Seite gefunden werden; sie könnten auch auf Ihrem System installiert sein.)

Die Leistungsfähigkeit von Python kann mit eigenen C- oder C++-Modulen erweitert werden. Auf den meisten Systemen können solche Module dynamisch geladen werden. Python ist auch als eine Sprache zur Erweiterung bestehender Anwendungen anpassbar. Hinweise sind in der internen Dokumentation zu finden.

Die Dokumentation zu installierten Python-Modulen und -Paketen kann mit dem Programm pydoc angezeigt werden.

BEFEHLSZEILENOPTIONEN

-B  Keine .pyc-Dateien beim Import schreiben. Siehe auch PYTHONDONTWRITEBYTECODE.

-b  Gibt Warnungen aus, wenn die Funktion str() mit einer Bytes-Instanz oder einer Bytearray-Instanz ohne Kodierungsargument aufgerufen, oder ein Bytes- oder Bytearray-Objekt mit einem String-Objekt verglichen werden soll. (-bb: gibt stattdessen Fehler aus)

-c Befehl
    Angabe des auszuführenden Befehls (sieht nächster Abschnitt). Das schliesst die Liste der Optionen ab (darauf folgende Optionen werden als Argumente des Befehls übergeben).

--check-hash-based-pycs Modus
    Konfiguriert, wie Python die Aktualität Hash-basierender .pyc-Dateien auswertet.

-d  Aktiviert die Auswertung der Ausgaben zur Fehlersuche (nur für Experten, abhängig von Optionen bei der Kompilierung).

-E  Ignoriert Umgebungsvariable wie PYTHONPATH und PYTHONHOME, die das Verhalten des Interpreters verändern.

-h, -?, --help
    Gibt eine Hilfe zur Verwendung des ausführbaren Interpreters aus und beendet sich.

--help-env
    Gibt eine Hilfe zu Python-spezifischen Umgebungsvariablen aus und beendet sich.

--help-xoptions
    Gibt eine Hilfe zu implementierungsspezifischen Optionen -X aus und beendet sich.

--help-all
    Gibt alle Informationen zur Verwendung aus und beendet sich.

-i  Wechselt nach Ausführung des Skripts oder des Befehls in den interaktiven Modus, falls als erstes Argument ein Skript angegeben oder die Option -c verwendet wurde. Damit wird die $PYTHONSTARTUP-Datei nicht gelesen. Das kann hilfreich sein, um globale Variable oder einen Verlaufsbericht (Stacktrace) zu untersuchen, wenn ein Skript einen Ausnahmefehler auslöst.

-I  Startet Python im isolierten Modus. Das impliziert auch -E, -P und -s. Im isolierten Modus beinhaltet sys.path weder das Verzeichnis des Skripts noch das lokale Paketverzeichnis site-packages des Benutzers. Alle PYTHON*-Umgebungsvariablen werden ebenfalls ignoriert. Weitere Einschränkungen können auferlegt werden, um den Benutzer daran zu hindern, böswilligen Code einzuschleusen.

-m Modulename
    Sucht in sys.path nach dem genannten Modul und startet die entsprechende .py-Datei als ein Skript. Das schliesst die Liste der Optionen ab (darauf folgende Optionen werden als Argumente an das Modul übergeben).

-O  Entfernt Assert-Anweisungen und jeden Code, der vom Wert von __debug__ abhängt; erweitert den Dateinamen für kompilierte (Bytecode-) Dateien durch das Einfügen von ».opt-1« vor der Erweiterung ».pyc«.

-OO Verhält sich wie -O und schließt zusätzlich Docstrings aus; ändert den Dateinamen für kompilierte (Bytecode-) Dateien durch das Einfügen von ».opt-2« vor der Erweiterung ».pyc«.

-P  Stellt nicht automatisch einen potentiell unsicheren Pfad wie das aktuelle Verzeichnis, das Verzeichnis des Skripts oder eine leere Zeichenkette vor sys.path. Siehe auch die Umgebungsvariable PYTHONSAFEPATH.

-q  Keine Anzeige von Version- und Copyright-Meldungen. Diese Meldungen werden im nicht interaktiven Modus ebenfalls unterdrückt.

-R  Schaltet Hash-Verwürfelung ein. Diese Option wird nur wirksam, falls die Umgebungsvariable PYTHONHASHSEED auf 0 gesetzt ist, da die Hash-Verwürfelung standardmäßig aktiviert ist.

-s  Fügt das lokale Paketverzeichnis des Benutzers nicht dem sys.path hinzu.

-S  Unterbindet den Import des Moduls site und der installationsabhängigen Veränderungen von sys.path, die er zur Folge hätte. Unterbindet diese Veränderungen auch, wenn site später explizit importiert wird.

-u  Erzwingt, dass die Standardeingabe- und Standardfehlerausgabeströme ungepuffert sind. Diese Option hat keinen Einfluss auf den Standardeingabestrom.

-v  Zeigt bei jeder Initialisierung eines Moduls an, woher (Dateiname oder eingebautes Modul) es geladen wurde. Gibt bei doppelter Angabe eine Meldung für jede untersuchte Datei aus, wenn ein Modul gesucht wird. Liefert auch Informationen über das Aufräumen eines Moduls bei Beendigung.

-V,  --version
    Zeigt die Python-Versionsnummer an und beendet sich. Zeigt bei doppelter Angabe zusätzliche Informationen zum Bau an.

-W Argument
    Steuerung von Warnungen. Der Warnungsmechanismus von Python gibt Meldungen standardmäßig auf sys.stderr aus. Die einfachsten Einstellungen wenden jeweils eine bestimmte Aktion an, unabhängig von allen Warnungen, die ein Prozess ausgibt (sogar von denen, die sonst standardmäßig ignoriert werden würden):
      -Wdefault # Einmal pro aufrufender Stelle warnen
      -Werror # Umwandlung zu Ausnahmefehlern
      -Walways # Immer warnen
      -Wall # Identisch zu -Walways
      -Wmodule # Einmal pro aufrufendem Modul warnen
      -Wonce # Einmal pro Python-Prozess warnen
      -Wignore # Niemals warnen Die Aktionsnamen können wie gewünscht abgekürzt werden und der Interpreter wird sie zum passenden Namen auflösen. Zum Beispiel ist -Wi das gleiche wie -Wignore. Die vollständige Form des Arguments lautet: Aktion:Meldung:Kategorie:Modul:Zeilennummer Leere Felder passen auf alle Werte; leere Felder am Ende können weggelassen werden. Zum Beispiel ignoriert -W ignore::DeprecationWarning alle Warnungen vom Typ DeprecationWarning. Das Feld Aktion wirkt wie oben erklärt, betrifft aber nur Warnungen, die auf die restlichen Felder passen. Das Feld Meldung muss auf die gesamte ausgegebene Warnmeldung passen; der Vergleich ignoriert Groß- und Kleinschreibung. Das Feld Kategorie passt auf die Kategorie der Warnung (z.B.: »DeprecationWarning«). Dies muss ein Klassenname sein; es wird verglichen, ob die Kategorie der aktuellen Warnmeldung eine Unterklasse der angegebenen Kategorie der Warnung ist. Das Feld Modul passt auf den (vollständigen) Modulnamen; dieser Vergleich berücksichtigt die Groß- und Kleinschreibung. Das Feld Zeilennummer passt auf die Zeilennummer, wobei die Null auf alle Zeilennummern passt und damit äquivalent zu einer weggelassenen Zeilennummer ist. Es können mehrere Optionen -W angegeben werden; wenn eine Warnung auf mehr als eine Option passt, dann wird die Aktion zur letzten passenden Option ausgeführt. Ungültige Optionen -W werden ignoriert (jedoch wird bei der ersten ausgegebenen Warnmeldung eine Meldung zu ungültigen Optionen ausgegeben). Warnungen können auch mittels der Umgebungsvariablen PYTHONWARNINGS und aus einem Python-Programm heraus mit dem Warnings-Modul gesteuert werden. Zum Beispiel kann die Funktion warnings.filterwarnings() verwendet werden, um einen regulären Ausdruck auf die Warnmeldung anzuwenden.

-X Option
    Setzt implementierungsspezifische Option. Folgende Optionen sind verfügbar:
        -X cpu_count=N: setzt den Rückgabewert von os.cpu_count() außer Kraft;
           -X cpu_count=default bricht die Außerkraftsetzung ab; auch PYTHON_CPU_COUNT -X dev: aktiviert den »Entwicklungsmodus« von CPython, der zusätzliche Laufzeit-
            Diagnosen bereitstellt, die für eine standardmäßige Aktivierung zu aufwendig
            sind. Wenn der Code in Ordnung ist, werden nicht mehr Meldungen ausgegeben als
            in der Voreinstellung: Neue Warnungen werden nur ausgegeben, wenn ein Problem
            erkannt wird. Effekt des »Entwicklungsmodus«:
               * Hinzufügen eines standardmäßigen Warnungsfilters, wie -W default
               * Installiert zur Fehlersuche Hooks auf Speicherzuweiser: siehe
                 die C-Funktion PyMem_SetupDebugHooks()
               * Aktiviert das Modul zur Fehlerbehandlung, um bei einem Absturz
                 Python-Rückverfolgungsprotokolle zu schreiben
               * Aktiviert den Modus zur Fehlersuche des Asyncio-Moduls
               * Setzt das dev_mode Attribut vom sys.flags auf »True«
               * io.IOBase Destruktor zeichnet close()-Ausnahmefehler auf
        -X importtime: zeigt, wie lange jeder Import dauert. Angezeigt werden
            Modulname, Gesamtzeit (inklusive verschachtelter Importe) und Einzelzeit
            (ohne verschachtelter Importe). Beachten Sie, dass dessen Ausgabe
            in Applikationen mit mehreren Threads zerstückelt sein kann. Ein
            typischer Aufruf ist
            python3 -X importtime -c 'import asyncio'
            -X importtime=2 aktiviert zusätzliche Ausgabe, die anzeigt, wenn ein
            importiertes Modul bereits geladen wurde. In diesen Fällen wird die
            Zeichenkette cached in beiden Zeitspalten ausgegeben.
        -X faulthandler: aktiviert Fehlerbehandlung
        -X frozen_modules=[on|off]: ob eingefrorene Module (als statisches Programm
           inklusive Interpreter, siehe https://wiki.python.org/moin/Freeze) verwendet
           werden können oder nicht. Die Voreinstellung ist »on« (oder »off«, wenn Sie
           einen lokalen Bau laufen lassen).
        -X gil=[0|1]: aktiviert (1) oder deaktiviert (0) die GIL; auch PYTHON_GIL
           Nur verfügbar in Bauten, die mit --disable-gil konfiguriert worden sind.
        -X int_max_str_digits=Zahl: begrenzt die Größe bei Umwandlungen von int<->str.
           Das ist hilfreich, um Diensteverweigerungsangriffe bei der Verarbeitung nicht
           vertrauenswürdiger Daten zu vermeiden. Die Voreinstellung ist
           sys.int_info.default_max_str_digits. 0 deaktiviert dies.
        -X no_debug_ranges: deaktiviert das Hinzufügen von Tabellen zur Zuordnung von
           zusätzlichen Positionsangaben (letzte Zeile, Start und Ende vom Spaltenversatz)
           zu jedem Befehl in Codeobjekten. Das ist hilfreich, wenn kleinere Codeobjekte
           und pyc-Dateien gewünscht werden oder zur Unterdrückung zusätzlicher visueller
           Positionsindikatoren beim Anzeigen von Rückverfolgungen durch den Interpreter.
        -X perf: unterstützt den Linux-Profiler »perf«; auch PYTHONPERFSUPPORT=1
        -X perf_jit: unterstützt den Linux-Profiler »perf« mit DWARF-Unterstützung;
           auch PYTHON_PERF_JIT_SUPPORT=1
        -X presite=MOD: importiert dieses Modul vor »site«; auch PYTHON_PRESITE
           Dies funktioniert nur in Fehlersuch-Bauten.
        -X pycache_prefix=PFAD: ermöglicht das Schreiben von .pyc-Dateien in einen parallelen
            Baum, dessen Wurzel im angegebenen Verzeichnis anstatt in dem Baum des Codes liegt.
        -X showrefcount: gibt nach jedem Befehl im interaktiven Interpreter oder
            bei Beendigung des Programms den gesamten Referenzzähler sowie
            die Anzahl der verwendeten Speicherblöcke aus. Das funktioniert
            nur mit Programmen, die mit aktivierter Fehlersuchoption gebaut wurden
        -X tracemalloc: beginnt die Verfolgung von Speicherzuweisungen von Python
            mit dem Tracemalloc-Modul. Standardmäßig wird nur der allerneuste Frame
            in der Rückverfolgung abgespeichert. Verwenden Sie -X tracemalloc=NFRAME,
            um die Rückverfolgung mit einer Begrenzung auf NFRAME Frames zu starten
        -X utf8: aktiviert den UTF-8-Modus für Schnittstellen zum Betriebssystem. Der
            voreingestellte »locale-aware«-Modus wird überschrieben. -X utf8=0 deaktiviert
            den UTF-8 Modus explizit (auch, wenn es auf andere Weise automatisch aktiviert
            worden wäre). Siehe PYTHONUTF8 für weitere Details
        -X warn_default_encoding: aktiviert die optionale EncodingWarning
            für 'encoding=None'

-x  Überspringt die erste Zeile der Quelle. Dies ist nur für einen DOS-spezifischen Hackvorgesehen. Vorsicht: die Zeilennummern in Fehlermeldungen sind um eins versetzt!

INTERPRETERSCHNITTSTELLE
Das Interpreter-Schnittstelle ähnelt dem der UNIX-Shell: wenn sie angeschlossen an einem TTY-Gerät über die Standardeingabe aufgerufen wird, fragt sie nach Befehlen, bis sie ein EOF liest; wenn sie mit einem Dateinamen als Argument oder mit einer Datei als Standardeingabe aufgerufen wird, liest sie ein Skript aus dieser Datei und führt sie aus; wenn sie mit -c Befehl aufgerufen wird, führt sie die als Befehl gegebenen Python-Anweisungen aus. Hier kann Befehl mehrere durch Zeilenumbrüche getrennte Anweisungen beinhalten. In Python-Anweisungen sind führende Leerzeichen relevant! Im nicht interaktiven Modus wird die gesamte Eingabe ausgewertet, bevor sie ausgeführt wird.

Der Skriptname und zusätzliche Argumente werden, falls verfügbar, danach dem Skript in der Python-Variablen sys.argv übergeben, die eine Liste von Zeichenketten ist (Sie müssen erst import sys aufrufen, um darauf zugreifen zu können). Wenn kein Skriptname angegeben ist, ist sys.argv[0] eine leere Zeichenkette; wenn -c verwendet wird, enthält sys.argv[0] die Zeichenkette »-c«. Beachten Sie, dass Optionen, die der Python-Interpreter selbst interpretiert, nicht in sys.argv erscheinen.

Die primäre Eingabeaufforderung im interaktiven Modus ist »>>>«; die sekundäre (welche erscheint, wenn ein Befehl nicht vollständig ist) ist »...«. Diese Eingabeaufforderungen können mittels Zuweisungen zu sys.ps1 oder sys.ps2 geändert werden. Der Interpreter beendet sich, wenn er in der Eingabeaufforderung ein EOF liest. Wenn ein unbehandelter Ausnahmefehler auftritt, wird ein Verlaufsbericht ausgegeben und die Kontrolle wird an die primäre Eingabeaufforderung zurückgegeben; im nicht interaktiven Modus beendet sich der Interpreter nach der Ausgabe des Verlaufsberichts. Das Interrupt-Signal löst eine KeyboardInterrupt-Ausnahme aus; andere UNIX-Signale werden nicht abgefangen (abgesehen davon, dass SIGPIPE manchmal zu Gunsten eines IOError-Ausnahmefehlers ignoriert wird). Fehlermeldungen werden in die Standardfehlerausgabe geschrieben.

DATEIEN UND VERZEICHNISSE
Sie sind unterliegen Unterschieden und sind abhängig von den lokalen Konventionen der Installationen; ${prefix} und ${exec_prefix} sind installationsabhängig und sollten wie für GNU-Software interpretiert werden; sie können identisch sein. Die Voreinstellung ist für beide /usr/local.

${exec_prefix}/bin/python
    Empfohlener Ort des Interpreters.

${prefix}/lib/python<Version>
${exec_prefix}/lib/python<Version>
    Empfohlene Orte der Verzeichnisse für die Standard-Module.

${prefix}/include/python<Version>
${exec_prefix}/include/python<Version>
    Empfohlene Orte der Verzeichnisse für Include-Dateien, die zur Entwicklung von Python-Erweiterungen und zur Einbettung des Interpreters benötigt werden.

UMGEBUNGSVARIABLEN

PYTHONASYNCIODEBUG
    Wenn diese Umgebungsvariable auf eine nicht-leere Zeichenkette gesetzt ist, aktiviert das den Modus zur Fehlersuche des Asyncio-Moduls.

PYTHON_BASIC_REPL
    Falls diese Variable auf irgendeinen Wert gesetzt ist, wird der Interpreter nicht versuchen, den Python-basierten REPL zu laden, der Curses und Readline benötigt und wird stattdessen den traditionellen, Auswerte-basierten REPL laden.

PYTHONBREAKPOINT
    Wenn diese Umgebungsvariable auf 0 gesetzt ist, deaktiviert dies das standardmäßige Programm zur Fehlersuche. Es kann auf die ausführbare Datei des Fehlersuchprogramms Ihrer Wahl gesetzt werden.

PYTHONCOERCECLOCALE
    Falls auf den Wert 0 gesetzt ist, führt dies dazu, dass die Haupt-Python-Befehlszeilenanwendung das Erzwingen der veralteten ASCII-basierten C- und POSIX-Locales für eine leistungsfähigere UTF-8-basierte Alternative überspringt.

PYTHON_COLORS
    Wenn diese Variable auf 1 gesetzt ist, wird der Interpreter verschiedene Ausgaben farblich hervorheben. Setzen auf 0 deaktiviert dieses Verhalten.

PYTHON_CPU_COUNT
    Falls diese Variable auf eine positive Ganzzahl gesetzt wird, setzt sie die Rückgabewerte von os.cpu_count und os.process_cpu_count außer Kraft.

    Siehe auch die Option -X cpu_count.

PYTHONDEBUG
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -d. Im Fall einer Ganzzahl entspricht es der mehrmaligen Verwendung von -d.

PYTHONEXECUTABLE
    Wenn diese Umgebungsvariable gesetzt ist, wird sys.argv[0] auf diesen Wert gesetzt, und zwar anstatt des Wertes, der über die C-Laufzeitumgebung erhalten wird. Dies funktioniert nur unter MAC OS X.

PYTHONFAULTHANDLER
    Wenn diese Umgebungsvariable auf eine nicht-leere Zeichenkette gesetzt ist, wird faulthandler.enable() beim Start aufgerufen; installiert einen Handler für die Signale SIGSEGV, SIGFPE, SIGABRT, SIGBUS und SIGILL zur Abspeicherung der Python-Rückverfolgung.

    Dies ist zu der Option -X faulthandler äquivalent.

PYTHON_FROZEN_MODULES
    Falls diese Variable auf on oder off gesetzt wird, bestimmt sie, ob eingefrorene Module durch die Importier-Maschinerie ignoriert werden oder nicht. Ein Wert von on bedeutet, dass sie importiert werden und off bedeutet, dass sie ignoriert werden. Der Vorgabewert ist on, falls kein Fehlersuchbau aktiviert ist (dem normalen Fall), und off beim aktivierten Fehlersuchbau.

    Siehe auch die Option -X frozen_modules.

PYTHON_GIL
    Wenn diese Variable auf 1 gesetzt ist, wird die globale Interpretersperre (global interpreter lock, GIL) zwangsweise eingeschaltet. Das Setzen auf 0 schaltet die Sperre zwangsweise aus. Nur verfügbar in Bauten, die mit --disable-gil konfiguriert worden sind.

    Dies ist zu der Option -X gil äquivalent.

PYTHON_HISTORY
    Diese Umgebungsvariable kann verwendet werden, um den Ort einer Verlaufsdatei zu spezifizieren (unter Unix ist die Voreinstellung ~/.python_history).

PYTHONNODEBUGRANGES
    Falls diese Variable gesetzt ist, wird das Hinzufügen von Tabellen zur Zuordnung von zusätzlichen Positionsangaben (letzte Zeile, Start und Ende vom Spaltenversatz) zu jedem Befehl in Codeobjekten deaktiviert. Das ist hilfreich, wenn kleinere Codeobjekte und pyc-Dateien gewünscht werden oder zur Unterdrückung zusätzlicher visueller Positionsindikatoren beim Anzeigen von Rückverfolgungen durch den Interpreter.

PYTHONDONTWRITEBYTECODE
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -B (versucht nicht, .pyc-Dateien zu schreiben).

PYTHONDEVMODE
    Wenn diese Umgebungsvariable auf eine nicht-leere Zeichenkette gesetzt ist, aktiviert das den »Entwicklungsmodus«, der zusätzliche Laufzeitüberprüfungen einführt, die zu aufwändig für den Standardfall sind.

    Dies ist zu der Option -X dev äquivalent.

PYTHONHASHSEED
    Wenn diese Variable auf »random« gesetzt ist, wird zur Initialisierung der Hashes von String- und Byte-Objekten ein Zufallswert genommen. Wenn PYTHONHASHSEED auf einen ganzzahligen Wert gesetzt ist, wird dieser als fester Initialisierungswert zur Erzeugung vom hash() der Typen, die durch die Hash-Verwürfelung abgedeckt werden. Sein Zweck besteht darin, reproduzierbare Hashes zu ermöglichen, wie zum Beispiel für Selbsttest des Interpreters, oder um Cluster von Python-Prozessen zu ermöglichen, die selben Hash-Werte zu verwenden. Die Ganzzahl muss eine Dezimalzahl im Intervall [0,4294967295] sein. Die Angabe des Wertes 0 deaktiviert die Hash-Verwürfelung.

PYTHONHOME
    Ändert den Ort der Standard-Python-Bibliotheken. Standardmäßig werden Bibliotheken in ${prefix}/lib/python<Version> und ${exec_prefix}/lib/python<Version> gesucht, wobei ${prefix} und ${exec_prefix} installationsabhängige Verzeichnisse sind, beide sind standardmäßig /usr/local. Wenn $PYTHONHOME ein einzelnes Verzeichnis ist, ersetzt dessen Name sowohl ${prefix} als auch ${exec_prefix}. Um dafür unterschiedliche Namen festzulegen, ist $PYTHONHOME auf ${prefix}:${exec_prefix} zu setzen.

PYTHONINSPECT
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -i.

PYTHONINTMAXSTRDIGITS
    Begrenzt die Anzahl der Ziffern einer Ganzzahl bei der Umwandlung zu einer Zeichenkette und der Umwandlung von einer Ganzzahl zurück zu einer Zeichenkette. Ein Wert von 0 deaktiviert die Begrenzung. Umwandlungen von oder zu den Basen 2, 4, 8, 16 und 32 sind stets unbegrenzt.

    Dies ist zu der Option -X int_max_str_digits=ZAHL äquivalent.

PYTHONIOENCODING
    Wenn dies vor dem Start des Interpreters gesetzt wird, überschreibt es die Kodierung, die für die Standardeingabe, -ausgabe und -fehlerausgabe verwendet wird, in der Syntax Kodierungsname:Fehlersteuerungsprogramm Der Teil Fehlersteuerungsprogramm ist optional und hat dieselbe Bedeutung wie in str.encode. Der Teil Fehlersteuerungsprogramm wird für die Standardfehlerausgabe ignoriert; die Steuerung ist stets 'backslashreplace'.

PYTHONMALLOC
    Setzt Python-Speicherzuweiser und/oder installiere Hooks zur Fehlersuche. Die verfügbaren Speicherzuweiser sind malloc und pymalloc. Die verfügbaren Hooks zur Fehlersuche sind debug, malloc_debug und pymalloc_debug.

    Wenn Python im Fehlersuchmodus kompiliert worden ist, ist die Voreinstellung pymalloc_debug und die Hooks zur Fehlersuche werden automatisch verwendet. Ansonsten ist die Voreinstellung pymalloc.

PYTHONMALLOCSTATS
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, wird Python jedes mal, wenn eine Pymalloc-Objekt-Arena erzeugt wird, und beim Beenden eine Statistik der Pymalloc-Speicherzuweisungen anzeigen.

    Diese Variable wird ignoriert, falls die $PYTHONMALLOC Umgebungsvariable verwendet wird, um den Zuweiser der C-Bibliothek malloc(3) zu erzwingen, oder falls Python ohne Pymalloc-Unterstützung konfiguriert worden ist.

PYTHONNOUSERSITE
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -s (fügt das lokale Paketverzeichnis des Benutzers nicht dem sys.path hinzu).

PYTHONOPTIMIZE
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -O. Im Fall einer Ganzzahl entspricht es der mehrmaligen Verwendung von -O.

PYTHONPATH
    Erweitert den standardmäßigen Suchpfad für Modul-Dateien. Das Format ist wie von $PATH der Shell: Einer oder mehrere durch Doppelpunkte getrennte Verzeichnisnamen. Nicht existierende Verzeichnisse werden ohne Rückmeldung ignoriert. Der standardmäßige Suchpfad ist installationsabhängig, beginnt aber generell mit ${prefix}/lib/python<Version> (siehe PYTHONHOME oben). Der standardmäßige Suchpfad wird stets an $PYTHONPATH angehängt. Wenn als Argument ein Skript angegeben ist, dann wird das Verzeichnis, in dem das Skript liegt, im Pfad noch vor $PYTHONPATH eingefügt. Der Suchpfad kann aus einem Python-Programm heraus mittels der Variablen sys.path verändert werden.

PYTHON_PERF_JIT_SUPPORT
    Falls diese Variable auf einen von Null verschiedenen Wert gesetzt ist, wird die Unterstützung für den Profiler perf aktiviert, so das Python-Aufrufe durch ihn mittels DWARF-Informationen erkannt werden können. Setzen auf 0 deaktiviert dies.

    Siehe auch die Option -X perf_jit.

PYTHONPERFSUPPORT
    Falls diese Variable auf einen von Null verschiedenen Wert gesetzt ist, wird die Unterstützung für den Profiler perf aktiviert, so das Python-Aufrufe durch ihn erkannt werden können. Setzen auf 0 deaktiviert dies.

    Siehe auch die Option -X perf.

PYTHONPLATLIBDIR
    Überschreibt sys.platlibdir.

PYTHONPROFILEIMPORTTIME
    Falls diese Umgebungsvariable auf 1 gesetzt ist, wird Python anzeigen, wie lange jeder Import benötigt. Falls auf 2 gesetzt, wird Python Ausgaben für importierte Module aufnehmen, die bereits geladen wurden. Dies ist genau äquivalent zum Setzen von -X importtime auf der Befehlszeile.

PYTHONPYCACHEPREFIX
    Falls dies gesetzt ist, wird Python .pyc-Dateien in einem Spiegelverzeichnisbaum unter diesem Pfad anstelle von __pycache__-Verzeichnissen innerhalb des Quellbaums schreiben.

    Dies ist zu der Angabe der Option -X pycache_prefix=PFAD äquivalent.

PYTHONSAFEPATH
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, wird nicht automatisch ein potentiell unsicher Pfad wie das aktuelle Verzeichnis, das Verzeichnis des Skripts oder eine leere Zeichenkette sys.path vorangestellt. Siehe auch die Option -P.

PYTHONSTARTUP
    Wenn dies der Name einer lesbaren Datei ist, werden die Python-Befehle aus dieser Datei ausgeführt, bevor die erste Eingabeaufforderung im interaktiven Modus angezeigt wird. Die Datei wird im selben Namensraum ausgeführt, in dem interaktive Befehle ausgeführt werden, so dass in ihr definierte oder importierte Objekte unverändert in der interaktiven Sitzung verwendet werden können. Sie können in dieser Datei auch die Eingabeaufforderungen sys.ps1 und sys.ps2 ändern.

PYTHONTRACEMALLOC
    Wenn diese Umgebungsvariable auf eine nicht-leere Zeichenkette gesetzt ist, startet das die Rückverfolgung von Python-Speicherzuweisungen mit dem Tracemalloc-Modul.

    Der Wert dieser Variablen ist die maximale Anzahl von Frames, die in der Rückverfolgung abgespeichert werden. Zum Beispiel speichert PYTHONTRACEMALLOC=1 nur den allerneusten Frame.

PYTHONUNBUFFERED
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -u.

PYTHONUSERBASE
    Definiert das Benutzerverzeichnis, welches verwendet wird, um das lokale Paketverzeichnis site-packages des Benutzers und die Installationspfade für python -m pip install --user zu bestimmen.

PYTHONUTF8
    Falls auf 1 gesetzt ist, aktiviert Python den »UTF-8 Mode«. Setzen auf 0 deaktiviert.

PYTHONVERBOSE
    Wenn dies auf eine nicht-leere Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -v. Im Fall einer Ganzzahl entspricht es der mehrmaligen Verwendung von -v.

PYTHONWARNDEFAULTENCODING
    Wenn diese Umgebungsvariable auf eine nicht-leere Zeichenkette gesetzt ist, löst dies eine EncodingWarning aus, wenn die Locale-genaue Standardkodierung verwendet wird.

PYTHONWARNINGS
    Wenn dies auf eine durch Kommata getrennte Zeichenkette gesetzt ist, entspricht es der Verwendung der Option -W für jeden einzelnen Wert.

  Variablen des Fehlersuchmodus
Das Setzen dieser Variablen hat nur eine Wirkung in einem Python mit aktivierter Fehlersuche, also nur, wenn Python mit der Bauoption --with-pydebug konfiguriert worden ist.

PYTHONDUMPREFS
    Wenn diese Umgebungsvariable gesetzt ist, wird Python Objekte und Referenzzähler rausschreiben, die nach dem Herunterfahren des Interpreters noch aktiv sind.

PYTHONDUMPREFSFILE
    Wenn gesetzt, wird Python Objekte und Referenzzähler, die nach dem Herunterfahren des Interpreters noch aktiv sind in eine Datei unter einem Pfad, der als Wert für diese Umgebungsvariable angegeben ist, rausschreiben.

PYTHON_PRESITE
    Falls diese Variable auf ein Modul gesetzt ist, wird dieses Modul früh im Lebenszyklus des Interpreters importiert, bevor das Modul site ausgeführt und das Modul __main__ erstellt wird. Dies funktioniert nur für Fehlersuchbauten.

    Dies ist zu der Option -X presite=Modul äquivalent.

AUTOR
Die Python Software Foundation: https://www.python.org/psf/

INTERNETRESOURCEN
Haupt-Website: https://www.python.org/
Dokumentation: https://docs.python.org/
Entwicklerressourcen: https://devguide.python.org/
Downloads: https://www.python.org/downloads/
Modul-Depot: https://pypi.org/
Newsgroups: comp.lang.python, comp.lang.python.announce

LIZENSIERUNG
Python wird unter einer Open-Source-Lizenz verbreitet. Siehe die Datei »LICENSE« in der Python-Quell-Distribution zu Informationen über Lizenzbedingungen zum Zugang zu Python und dessen anderweitiger Verwendung und zu einem HAFTUNGSAUSSCHLUSS.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.